ScriptManager (Apache Ant API)

Package org.apache.tools.ant.util

## Enum ScriptManager

- java.lang.Object
- - java.lang.Enum<ScriptManager>
  - - org.apache.tools.ant.util.ScriptManager

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ScriptManager>`

      public enum ScriptManager
      extends java.lang.Enum<ScriptManager>

  Script manager `enum`.
  Since:
    Ant 1.10.13

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `auto` |
    `bsf` |
    `javax` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScriptManager` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ScriptManager[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### auto

          public static final ScriptManager auto

    - #### bsf

          public static final ScriptManager bsf

    - #### javax

          public static final ScriptManager javax

  - ### Method Detail

    - #### values

          public static ScriptManager[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScriptManager c : ScriptManager.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScriptManager valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null